Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 08 Feb 2021 08:15:35 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I got a phone call today at 11:55am, telling me that my delivery was at my door.
I returned home at 3:30pm and discovered that my delivery was not there.
After some investigating with my building's security guard, we discovered that the delivery driver had never even been to my building!

I then rang the delivery driver, and he admitted that he has delivered my order to the wrong address, and that he will try to get the order back from the other customer later, and then deliver it to me.
The driver never tried to contact me to tell me this, which he should have. I thought my delivery had been stolen, until I managed to get through to him!

When I clicked on the link in the delivery text to give feedback, it was already preselected to 5 stars, even though I had not clicked any, and the feedback link wouldn't let me change the rating!

Very poor service indeed! We are still in the midst of a pandemic, drivers should be taking extra care to make sure the delivery addresses are correct. Now an extra person has touched my delivery. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2067617